# GridLayout | tablefilter v0.4.16 API Document

    import {GridLayout} from 'tablefilter/src/modules/gridLayout.js'

public class | source

# GridLayout

#### Extends:

Feature → GridLayout

Grid layout, table with fixed headers

## Constructor Summary

Public Constructor
public | constructor (tf: TableFilter) Creates an instance of GridLayout |

## Member Summary

Public Members
public | contCssClass : String Css class for body table container element |
public | defaultColWidth : String Grid-layout default column widht as CSS string |
public | enableFilters : Boolean Enable or disable column filters generation, default: true |
public | headContCssClass : String Css class for headers table container element |
public | headRowIndex : Number Index of the headers row, default: 0 |
public | headRows : Array Collection of the header row indexes to be moved into headers table |
public | height : String Grid-layout container height as CSS string |
public | infDivCssClass : String Css class for toolbar container element (rows counter, paging etc.) |
public | initialized : boolean |
public | mainContCssClass : String Css class for main container element |
public | noHeaders : Boolean Enable or disable column headers, default: false |
public | width : String Grid-layout container width as CSS string |

## Method Summary

Public Methods
public | destroy () Removes the grid layout |
public | init () Generates a grid with fixed headers TODO: reduce size of init by extracting single purposed methods |

## Inherited Summary

From class Feature
public | config : Object TableFilter configuration |
public | emitter : Emitter TableFilter emitter instance |
public | enabled : Boolean TableFilter feature setting |
public | feature : String Feature name |
public | initialized : Boolean Field indicating whether Feature is initialized |
public | tf : TableFilter TableFilter instance |
public | destroy () Destroy the feature |
public | disable () Disable the feature |
public | enable () Enable the feature |
public | init () Initialize the feature |
public | isEnabled (): Boolean Indicate whether the feature is enabled or not |
public | reset () Reset the feature after being disabled |

## Public Constructors

### public constructor(tf: TableFilter) source

Creates an instance of GridLayout

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | TableFilter |  | TableFilter instance

## Public Members

### public contCssClass: String source

Css class for body table container element

### public defaultColWidth: String source

Grid-layout default column widht as CSS string

### public enableFilters: Boolean source

Enable or disable column filters generation, default: true

### public headContCssClass: String source

Css class for headers table container element

### public headRowIndex: Number source

Index of the headers row, default: 0

### public headRows: Array source

Collection of the header row indexes to be moved into headers table

### public height: String source

Grid-layout container height as CSS string

### public infDivCssClass: String source

Css class for toolbar container element (rows counter, paging etc.)

### public initialized: boolean source

#### Override:

Feature#initialized

### public mainContCssClass: String source

Css class for main container element

### public noHeaders: Boolean source

Enable or disable column headers, default: false

### public width: String source

Grid-layout container width as CSS string

## Public Methods

### public destroy() source

Removes the grid layout

#### Override:

Feature#destroy

### public init() source

Generates a grid with fixed headers TODO: reduce size of init by extracting single purposed methods

#### Override:

Feature#init